# ElementSubtitle (ARX Developer Documentation)

org.deidentifier.arx.certificate.elements

## Class ElementSubtitle

- java.lang.Object
- - org.deidentifier.arx.certificate.elements.ElementSubtitle

- All Implemented Interfaces:
    Element

      public class ElementSubtitle
      extends java.lang.Object
      implements Element

  PDF subtitle element

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementSubtitle(java.lang.String text)` Creates a new subtitle

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementSubtitle

          public ElementSubtitle(java.lang.String text)

      Creates a new subtitle
      Parameters:
        `text` -

  - ### Method Detail

    - #### render

          public void render(rst.pdfbox.layout.elements.Document target,
                    int indent,
                    CertificateStyle style)
                      throws java.io.IOException

      Description copied from interface: `Element`
      Renders the element to the given target
      Specified by:
        `render` in interface `Element`
      Throws:
        `java.io.IOException`